{#
/**
 * @file
 * Theme override to display a view of unformatted rows.
 *
 * Available variables:
 * - title: The title of this group of rows. May be empty.
 * - rows: A list of the view's row items.
 *   - attributes: The row's HTML attributes.
 *   - content: The row's content.
 * - view: The view object.
 * - default_row_class: A flag indicating whether default classes should be
 *   used on rows.
 *
 * #webksde-TF: We've added this file just because of this damn issue: https://www.drupal.org/project/drupal/issues/1968398
 *              So: DON'T print out {{ rows }} directly in an unformatted views-view template!
 * @see template_preprocess_views_view_unformatted()
 */
#}

{#
  TODOs:
  [ ] This should be an SDC instead
  [ ] Create drowl_base/highlight-news library
#}
{% set container_attributes = create_attribute() %}
{% set layout_attributes = create_attribute() %}

{% set container_classes = [
  'container'
]|merge(container_utility_classes ?: []) %}

{% set layout_classes = [
  'd-flex',
  'align-items-center',
  'gap-3',
  'py-3'
]|merge(layout_utility_classes ?: []) %}

{% block message %}
  {{ attach_library('drowl_base/highlight_news') }}
  <div{{ container_attributes.addClass(container_classes) }}>
    <div{{ layout_attributes.addClass(layout_classes) }}>
      {% block icon %}
        <div class="flex-shrink-1 flex-grow-0">
          <i class="block--highlight-news__icon ico ico-db-info ico--circled ico--lg bg-white text-primary"></i>
        </div>
      {% endblock icon %}
      <div class="flex-shrink-1 flex-grow-1">
        {% if title %}
          <h3>{{ title }}</h3>
        {% endif %}
        {% for row in rows %}
          {% if row.content['#row'].node_field_data_created %}
            {% block row %}
              {%
                set row_classes = [
                  default_row_class ? 'views-row',
                  'fs-sm',
                  'lh-md'
                ]
              %}
              <div{{ row.attributes.addClass(row_classes).setAttribute('data-news-cookie-timestamp', row.content['#row'].nid|clean_id ~ '-' ~ row.content['#row'].node_field_data_created|clean_id) }}>
                {{- row.content -}}
              </div>
            {% endblock row %}
          {% else %}
            <div class="message alert">Views Field "node_field_data_created" not found - this is required to set the cookie.</div>
          {% endif %}
        {% endfor %}
      </div>
    </div>
  </div>
{% endblock message %}
